grk::ResDecompressBlocks Struct Reference

`#include <DecompressScheduler.h>`

## Public Member Functions

| ResDecompressBlocks (void)=default
void | clear (void)
bool | empty (void) const
void | release (void)

## Public Attributes

std::vector< DecompressBlockExec * > | blocks_

## Constructor & Destructor Documentation

## ResDecompressBlocks()

grk::ResDecompressBlocks::ResDecompressBlocks | ( | void |  | ) |

default

## Member Function Documentation

## clear()

void grk::ResDecompressBlocks::clear | ( | void |  | ) |

References blocks_.

## empty()

bool grk::ResDecompressBlocks::empty | ( | void |  | ) | const

References blocks_.

## release()

void grk::ResDecompressBlocks::release | ( | void |  | ) |

References blocks_, and grk::grk_read().

## Member Data Documentation

## blocks_

std::vector<DecompressBlockExec*> grk::ResDecompressBlocks::blocks_

Referenced by clear(), empty(), and release().

The documentation for this struct was generated from the following files:

- DecompressScheduler.h
- DecompressScheduler.cpp